#
# spec file for package DirectFB
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global directfbdir %{_libdir}/directfb-1.7-1
%global libdirectfb	libdirectfb-1_7-1
%global libdfb          lib++dfb-1_7-1

Name:           DirectFB
Version:        1.7.1
Release:        5.31
Summary:        Graphics Library for Framebuffer Devices
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.directfb.org/
Source:         http://www.directfb.org/downloads/Core/DirectFB-1.7/%{name}-%{version}.tar.gz
Source2:        baselibs.conf
# PATCH-FIX-UPSTREAM
Patch2:         DirectFB-0.9.24-matroxi2c.diff
# PATCH-FIX-UPSTREAM
Patch3:         DirectFB-1.2.9-headers.patch
# PATCH-FIX-UPSTREAM
Patch4:         DirectFB-cc-cflags.patch
# PATCH-FIX-UPSTREAM
Patch5:         DirectFB-1.7.0-int.patch
# PATCH-FIX-UPSTREAM
Patch6:         DirectFB-0.9.24-warning.patch
# PATCH-FIX-UPSTREAM
Patch11:        DirectFB-1.2.9-ignore-fbmodes.patch
# PATCH-FIX-UPSTREAM pngtoico-libpng15.patch -- pgajdos@suse.com; build with libpng15; sent today to andi@directfb.org
# build against libpng14 should not be affected, otherwise please let me know
Patch12:        DirectFB-1.5.3-fix_v4l1.patch
# PATCH-FIX-UPSTREAM
Patch13:        DirectFB-1.6.1-lm.patch
# PATCH-FIX-UPSTREAM
Patch14:        DirectFB-1.6.1-gcc-atomics-on-arm.patch
# PATCH-FIX-UPSTREAM
Patch15:        DirectFB-1.5.3-add-missing-davinci-files.patch
# PATCH-FIX-UPSTREAM
Patch16:        DirectFB-1.5.3-vdpau.patch
# PATCH-FIX-UPSTREAM
Patch19:        DirectFB-1.6.1-FusionID-fix-git21c3684.patch
# PATCH-FIX-OPENSUSE DirectFB-setregion.patch -- dvaleev@suse.com; fixes cyber5k and readeon drivers build on powerpc
Patch20:        DirectFB-setregion.patch 
# PATCH-FIX_OPENSUSE drop test_foo as it does not build in 1.7, mvyskocil@suse.com
Patch21:        DirectFB-1.7.1-drop-test_foo.patch
Patch22:        DirectFB-CVE-2014-2977.patch
Patch23:        DirectFB-CVE-2014-2978.patch
# PATCH-FIX-OPENSUSE DirectFB-i2c-tools.patch -- dvaleev@suse.com; fix build against new i2c-tools
Patch24:        DirectFB-i2c-tools.patch
BuildRequires:  LibVNCServer-devel
%if 0%{?suse_version} > 1220
# Mesa-lib* available only in 12.2+
# but build fail with 12.2
BuildRequires:  Mesa-devel
BuildRequires:  Mesa-libEGL-devel
BuildRequires:  Mesa-libGLESv2-devel
%endif
BuildRequires:  SDL-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  imlib2-devel
BuildRequires:  libcddb-devel
BuildRequires:  libdrm-devel
BuildRequires:  libjasper-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libkms-devel
BuildRequires:  libpng-devel
BuildRequires:  librsvg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtimidity-devel
BuildRequires:  libv4l-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libwebp-devel
BuildRequires:  sysfsutils-devel
%if 0%{?suse_version} > 1230
# TSLib not available for 12.3 and previous
BuildRequires:  tslib-devel
%endif
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXext-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifnarch s390 s390x
BuildRequires:  i2c-tools
%endif
# bug437293
%ifarch ppc64
Obsoletes:      DirectFB-64bit
%endif

%description
DirectFB is a thin library that provides hardware graphics
acceleration, input device handling and abstraction, an integrated
windowing system with support for translucent windows, and multiple
display layers on top of the Linux framebuffer device. It is a complete
hardware abstraction layer with software fallbacks for every graphics
operation that is not supported by the underlying hardware. DirectFB
adds graphical power to embedded systems and sets a new standard for
graphics under Linux.

%package -n %libdirectfb
Summary:        Graphics Library for Framebuffer Devices
Group:          System/Libraries

%description -n %libdirectfb
DirectFB is a thin library that provides hardware graphics
acceleration, input device handling and abstraction, an integrated
windowing system with support for translucent windows, and multiple
display layers on top of the Linux framebuffer device. It is a
complete hardware abstraction layer with software fallbacks for every
graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new
standard for graphics under Linux.

%package -n %libdfb
Summary:        Graphics Library for Framebuffer Devices
Group:          System/Libraries

%description -n %libdfb
DirectFB is a thin library that provides hardware graphics
acceleration, input device handling and abstraction, an integrated
windowing system with support for translucent windows, and multiple
display layers on top of the Linux framebuffer device. It is a
complete hardware abstraction layer with software fallbacks for every
graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new
standard for graphics under Linux.

%package devel
Summary:        Graphics Library for Framebuffer Devices
Group:          Development/Libraries/C and C++
Requires:       %libdirectfb = %{version}
Requires:       /bin/sh
Requires:       glibc-devel
Requires:       zlib-devel

%description devel
Development files (headers, so files, pkg-config, documentation) for %{name}.

%package -n lib++dfb-devel
Summary:        C++ Bindings for %{name}
Group:          Development/Libraries/C and C++
Requires:       %libdfb = %{version}
Requires:       %{name}-devel = %{version}
Requires:       /bin/sh
Requires:       glibc-devel
Requires:       zlib-devel

%description -n lib++dfb-devel
Development files (headers, so files, pkg-config, documentation) for C++
bindings for %{name}.

%package doc
Summary:        Graphics Library for Framebuffer Devices Documentation
Group:          System/Libraries

%description doc
Graphics Library for Framebuffer Devices Documentation in html form.

%package libSDL
Summary:        SDL backend of Graphics Library for Framebuffer Devices
Group:          System/Libraries
Supplements:    packageand(%{name}:libSDL)

%description libSDL
SDL backend of Graphics Library for Framebuffer Devices:
 * gfxdrivers/libdirectfb_sdlgraphics.so
 * inputdrivers/libdirectfb_sdlinput.so
 * systems/libdirectfb_sdl.so

%package Mesa
Summary:        Mesa backend of Graphics Library for Framebuffer Devices
Group:          System/Libraries
Supplements:    packageand(%{name}:Mesa)

%description Mesa
Mesa backend of Graphics Library for Framebuffer Devices:
 * gfxdrivers/libdirectfb_gl.so
 * systems/libdirectfb_x11.so

%package libvncclient
Summary:        Mesa backend of Graphics Library for Framebuffer Devices
Group:          System/Libraries
Supplements:    packageand(%{name}:libvncclient)

%description libvncclient
VNC backend of Graphics Library for Framebuffer Devices:
 * systems/libdirectfb_vnc.so

%prep
%setup -q
# to make fastre working
mv patches _patches
%patch2 -p1
%patch3
%patch4 -p1
%patch5 -p1
%patch6
#%patch8
%patch11 -p1
%patch12 -p1 -b .fix_v4l1
%patch13 -p1 -b .lm
%patch14 -p1 -b .arm-atomics
%patch15 -p1 -b .davinci
%patch16 -p1 -b .vdpau
%patch19 -p1 -b .fusionID
%patch20 -p1
%patch21 -p1
%patch22
%patch23
%patch24 -p1

#Disable ppc asm since compilation fails (and it seems better to use glibc)
sed -i.noppcasm -e 's/want_ppcasm=yes/want_ppcasm=no/'g configure.in configure
# Fix file-not-utf8
for i in ChangeLog README NEWS AUTHORS ; do
cp -pr $i $i.not-utf8
iconv -f ISO_8859-1 -t UTF8 $i.not-utf8 > $i
touch -r $i.not-utf8 $i
rm $i.not-utf8
done
#Remove old headers
rm interfaces/IDirectFBVideoProvider/{videodev.h,videodev2.h}

#FIXME: mvyskocil - can't compile test_foo.c due missing region->context
rm wm/unique/test_foo.c

%build
# move things back
mv _patches patches
%ifarch s390 s390x
	sed 's/-O3/-Os/' configure >c;chmod +x c;mv c configure;
%endif
%{configure} --enable-sdl --with-pic --enable-video4linux2 \
        --enable-zlib \
%ifarch x86_64
	--enable-mmx \
        --enable-sse \
%endif
%ifarch ppc64 ppc
	--with-gfxdrivers="ati128 cle266 cyber5k gl i810 mach64 matrox neomagic nvidia pxa3xx radeon sis315 tdfx unichrome" \
%endif
%ifarch s390 s390x
	--with-gfxdrivers=none --with-inputdrivers=none --disable-video4linux --disable-fbdev \
%endif
%ifarch %arm
	--with-gfxdrivers="gl gles2 nvidia" \
%endif
%ifarch %{ix86} x86_64
        --with-gfxdrivers="ati128 ep9x gles2 i810 i830 mach64 matrox neomagic nvidia pxa3xx sis315 tdfx vdpau gl" \
%endif
        --enable-x11 \
        --enable-unique \
        --with-smooth-scaling \
	--disable-gettid
# Remove rpath for 64bit
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -type f -delete
#Fix some relative fonts for dfbinspector.c
# ln -s ../fonts/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}-%{version}/decker.ttf

%check
make check %{?_smp_mflags}

%post -n %libdirectfb -p /sbin/ldconfig

%postun -n %libdirectfb -p /sbin/ldconfig

%post -n %libdfb -p /sbin/ldconfig

%postun -n %libdfb -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/directfb-%{version}
%{_bindir}/dfbg
%{_bindir}/dfbdump
%{_bindir}/dfbdumpinput
%{_bindir}/dfbinfo
%{_bindir}/dfblayer
%{_bindir}/dfbplay
%{_bindir}/dfbshow
%{_bindir}/dfbswitch
%{_bindir}/directfb-csource
%{_bindir}/dfbscreen
%{_bindir}/dfbinspector
%{_bindir}/dfbmaster
%{_bindir}/dfbfx
%{_bindir}/uwmdump
%{_bindir}/dfbinput
%{_bindir}/dfbpenmount
%{_bindir}/directfb-config
%{_bindir}/mkdgifft
%ifnarch %arm s390 s390x
%{_bindir}/pxa3xx_dump
%endif
%{_bindir}/mkd*iff
%doc %{_mandir}/man1/dfbg.1.gz
%doc %{_mandir}/man1/directfb-csource.1.gz
%doc %{_mandir}/man5/directfbrc.5.gz

%files -n %libdirectfb
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libdirect*.so.*
%{_libdir}/libfusion*.so.*
%{_libdir}/libuniquewm*.so.*
%{directfbdir}
%exclude %{directfbdir}/gfxdrivers/libdirectfb_sdlgraphics.so
%exclude %{directfbdir}/inputdrivers/libdirectfb_sdlinput.so
%exclude %{directfbdir}/systems/libdirectfb_sdl.so
%ifnarch s390 s390x
%exclude %{directfbdir}/gfxdrivers/libdirectfb_gl.so
%endif
%exclude %{directfbdir}/systems/libdirectfb_x11.so
%exclude %{directfbdir}/systems/libdirectfb_vnc.so

%files devel
%defattr(-,root,root)
%{_libdir}/libdirect*.so
%{_libdir}/libfusion*.so
%{_libdir}/libuniquewm*.so
%{_includedir}/directfb-internal
%{_includedir}/directfb
%{_libdir}/pkgconfig/directfb-internal.pc
%{_libdir}/pkgconfig/directfb.pc
%{_libdir}/pkgconfig/direct.pc
%{_libdir}/pkgconfig/fusion.pc

%files -n %libdfb
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib++dfb-1.7.so.*

%files -n lib++dfb-devel
%defattr(-,root,root)
%{_libdir}/lib++dfb.so
%{_includedir}/++dfb
%{_libdir}/pkgconfig/++dfb.pc

%files doc
%defattr(-,root,root)
%doc docs/html/*.html
%doc docs/html/*.png

%files libSDL
%defattr(-,root,root)
%{directfbdir}/gfxdrivers/libdirectfb_sdlgraphics.so
%{directfbdir}/inputdrivers/libdirectfb_sdlinput.so
%{directfbdir}/systems/libdirectfb_sdl.so

%files Mesa
%defattr(-,root,root)
%ifnarch s390 s390x
%{directfbdir}/gfxdrivers/libdirectfb_gl.so
%endif
%{directfbdir}/systems/libdirectfb_x11.so

%files libvncclient
%defattr(-,root,root)
%{directfbdir}/systems/libdirectfb_vnc.so

%changelog
* Thu Jun  9 2016 lnussel@suse.de
- Do not BuildRequire udev: there is no need to do so.
* Wed Oct 21 2015 dvaleev@suse.com
- Add DirectFB-i2c-tools.patch in order to fix build failure with
  new i2c-tools
* Thu Apr 23 2015 pgajdos@suse.com
- security update
  * CVE-2014-2977 [bnc#878345]
    + DirectFB-CVE-2014-2977.patch
  * CVE-2014-2978 [bnc#878349]
    + DirectFB-CVE-2014-2978.patch
* Wed Jul 30 2014 pgajdos@suse.com
- do not build nsc driver (unclear license, outdated) and omap
  driver [bnc#860256] (internal)
* Thu Dec 19 2013 mvyskocil@suse.com
- correct baselibs.conf
* Wed Dec 18 2013 mvyskocil@suse.com
- Update to 1.7.1
  * API
  + Add 4k display resolution.
  + Add alternative UHDTV mode.
  * API | C++
  + Add convenience classes like DFBRectangle to new header file
    <directfb++.h>, fix dynamic cast with NULL pointer
  * Options
  + Add 'nm-for-trace' option that must be used to run
  'nm' at trace dump (as done before). Add D_ARGS env as
  input to libdirect's config_init (constructor).
  * And many bugfixes and refactoring
  1.7.0:
  * task-manager allows to automatically distribute
    rendering tasks over multiple cpu and/or gpu cores
  * Merged Projects:
    + DirectFB-extra (missing bits)
    + SaWMan
    + FusionDale
    + FusionSound
    + DiVine
    + ++dfb (packaged in separate lib++dfb-1_7-1 and lib++dfb-devel packages)
  * New APIs
  + Add IDirectFBSurface::DumpRaw() to dump raw pixel data of a surface to a file
  + Add IDirectFBSurface::GetFrameTime() to receive the timestamp for the next
    frame to be rendered + Add IDirectFBSurface::SetFrameTimeConfig() to
    configure GetFrameTime()
  + Add IDirectFBVideoProvider::SetDestination() to change the destination
    surface and/or destination rectangle during playback
  * New System Module drm/kms
  * New ImageProviders
    + WebP
    + tiff
  * Tons of bugfixes and performance improvements...
- build with more features - timidity, vorbis, cddb, drm, kms, jasper, wepb,
  rsvg and imlib2
- refreshed/rebased
  * DirectFB-1.6.1-lm.patch
  * DirectFB-int.patch
- added patches
  * DirectFB-1.7.1-drop-test_foo.patch, drop a test, which can't be compiled
* Tue Aug 13 2013 mvyskocil@suse.com
- Enable X11/vdpau
* Wed Aug  7 2013 guillaume@opensuse.org
-  Enable openGL ES 2 support (Mesa only)
* Wed Aug  7 2013 guillaume@opensuse.org
- Add omap support (ARM)
* Wed Aug  7 2013 guillaume@opensuse.org
- Enable tslib support for openSUSE 13.1+
* Mon Jun 17 2013 p.drouand@gmail.com
- Update to version 1.6.3. There is a large list of changes
  see Changelog for details
- Remove DirectFB-1.6.1-mesa-libgbm-stridefix.patch; fixed by upstream
* Fri Mar 15 2013 coolo@suse.com
- use original tar as source url
* Fri Dec 21 2012 dvaleev@suse.com
- Fix cyber5k and radeon drivers build on powerpc
  (DirectFB-setregion.patch)
* Tue Dec 18 2012 mvyskocil@suse.com
- remove unused files
  * 85-directfb.rules
  * DirectFB-1.5.3-lm.patch
  * DirectFB-1.6.1-fix-Wimplicit-function-declaration-cflags-error.patch
  * DirectFB-1.7.11.3-mesa-libgbm-stridefix.patch
* Thu Dec  6 2012 joop.boonen@opensuse.org
- Only apply patch DirectFB-1.6.1-mesa-libgbm-stridefix.patch on
  openSUSE > 12.2
* Mon Oct 22 2012 p.drouand@gmail.com
- Update to 1.6.2 version :
  * IDirectFB
  - When creating a windowed primary, translate
    window-surface-policy option to DSCAPS_SYSTEMONLY/VIDEOONLY.
  * Core
  - Stub out Core_Push/Pop/GetCalling in case of single app build, thanks to Mike Nelis!
  - Temporary solution for permissions not being granted to a surface from GetSurface().
  - prevent segfault when calls are launched from non-dfb threads.
  - Reset flip counter to zero when changing buffer mode.
  - When creating a window pass through DSCAPS_GL.
  * Util
  - Add dfb_regions_unite() to calculate bounds of one or more regions.
  * Genefx
  - Avoid division by zero with rotation and formats < 1 byte per pixel.
  * gfxutil
  - Avoid double premultiplication when loading an image scaled.
  * One
  - Use direct_list_foreach_safe() when iterating through receiving list.
  - In OneAppTarget_Destroy() remove from receiving list if needed.
  * fonts
  - Make x and y advances 24.8 fixed point to fix font rotation.
  * X11
  - Set max value for absolute motion events.
  * EGL
  - Support ARGB directly in fboWrite(), add fboRead().
  * Android
  - Use sawman wm.
  - Force quit by segfaulting on purpose.
  * Video Provider
  - Add WIP gstreamer video provider.
  * Tools
  - dfbg: Add option '-p' to create a surface with DSCAPS_PREMULTIPLIED.
- Update baselibs.conf
* Thu Sep 27 2012 idonmez@suse.com
- Update baselibs.conf
* Thu Sep  6 2012 pgajdos@suse.com
- updated to 1.4.17:
  * removed libpng15.patch (DirectFB have libpng15 suport from 1.4.16)
  * removed upstreamed DirectFB-1.1.1.patch
  * upstream changes:
  - fix race condition between dfb_wm_close_all_stacks() and
    layer_context destructor
  - add function CoreDFB_CallMode() which determines whether calls
    should be direct, indirect or denied.
  - cleaner shutdown
  - Add CoreGraphicsState::ReleaseSource() to fix
    IDirectFBSurface::ReleaseSource() in secure fusion mode.
  - opimize single-app mode by forcing COREDFB_CALL_DIRECT
  - set_region: lock region buffer also on flags CLRCF_SRCKEY,
    CLRCF_DSTKEY,CLRCF_OPACITY,CLRCF_SOURCE,CLRCF_DEST
  - remove bogus asserts for optional output parameters in Core API
    and mark these parameters in .flux files
    etc. see NEWS
* Fri Mar 16 2012 jengelh@medozas.de
- Restore parallel build
* Fri Jan  6 2012 pgajdos@suse.com
- build also against libpng15
  * libpng15.patch
* Mon Dec 19 2011 coolo@suse.de
- %%suse_update_libdir was a work around for very old versions
* Wed Nov 30 2011 ro@suse.de
- complete last change
* Mon Nov 28 2011 ro@suse.de
- fix build on s390/s390x
* Thu Nov  3 2011 adrian@suse.de
- reduce driver set on arm
  (TI drivers are broken atm)
* Fri Sep 16 2011 jengelh@medozas.de
- Implement shlib policy and add baselibs
- Remove redundant tags/sections
* Sun Jul 10 2011 meissner@suse.de
- pxa3xx and gl drivers also for PowerPC.
* Mon Jan  3 2011 mvyskocil@suse.cz
- fix bnc#660772: split the plugins with huge dependencies to subpackages
  * DirectFB-libSDL
  * DirectFB-Mesa
  * DirectFB-libvncclient
- remove unneeded png14 patch
* Mon Oct  4 2010 cristian.rodriguez@opensuse.org
- Update to version 1.4.5, There is a large list of changes
  see Changelog for details
* Tue Sep  7 2010 aj@suse.de
- BuildRequire sysfsutils-devel
* Mon Apr 19 2010 mvyskocil@novell.com
- fix bnc#597667 - splashy needs DirectFB-devel
* Wed Apr  7 2010 mvyskocil@suse.cz
- workaround for bnc#304995: splashy image not fullscreen or screwed-up while suspending
  SUSE_IGNORE_FBMODES can ignore the /etc/fb.modes
- split libraries according Shared Library Policy
- apply png14 patch only for openSUSE > 11.2 to enable backports
- clean up the configure call and polish the spec
* Sun Apr  4 2010 ro@suse.de
- extend libpng14 fixes
* Sun Apr  4 2010 ro@suse.de
- fix build with libpng14
  (deprecated png_check_sig had been removed)
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Tue Nov 24 2009 mvyskocil@suse.cz
- updated to 1.2.9 - a bugfix release with merged changes from 1.4.x branch
  * several API features that are required by SaWMan have been added.
  - Add application_id to a window with IDirectFBWindow_Set/GetApplicationID
  - dynamic window association via IDirectFBWindow::SetAssociation()
  - add DWCAPS_COLOR to the window capabilities
  - allow the window config value "color" to colorize the window
- refreshed patches
* Sat Jun 20 2009 cmorve69@yahoo.es
- update to 1.2.8
- reenable as-needed since the update fixes it
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Mon Sep  8 2008 hvogel@suse.de
- Update to 1.2.3
  * Fixed new bug with reopening X11 window when layer resizes
  * Generate name/value pairs for DFBWindowOptions.
  * improve shutdown behaviour of X11 module.
  * Added DirectUnregisterInterface() and destructor to call it
  * Added very simple dedicated master
  * Implemented primaryRemoveRegion() with a new call to destroy
    the X11 window.
  * Avoid most of the recursive calls of wind_of_change().
  * Fix unconditional use of SA_SIGINFO
  * Added SH7722: Experimental JPEG decoding
  * Fix redefinitions by moving up kernel headers.
  * Removed MPEG2 I-Frame Imageprovider.
  * Added option "-ds" for dumping surfaces
  * Added minimum glyph alignment of 8 bytes
  * Combine multiple x and/or y motion events before sending events
    or updating the cursor.
  * Cleaned up LCD Buffer Setup Code
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Jan 17 2008 mskibbe@suse.de
- update to 1.1.1 which
  o Added 3x2 transformation for all drawing and blitting
  o Fixed missing translation of characters to indices in
    GetKerning()
  o Fixes to CPU/GPU read/write access interlock management
  o lot of other bugfixes
- Bug 242049 - DirectFB-0.9.25-42 : array subscript is above
  array bounds
* Thu Oct 25 2007 mskibbe@suse.de
- update to 1.0.1 which
  o Use a Skirmish to synchronize slaves with the master's post
  core initialization
  o Enable X11 System Module by default
  o Support non-SHM connections
  o includes DirectFB.linux-compiler.patch
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of linux/compiler.h, linux/config.h and asm/page.h
* Wed Aug  1 2007 mmaher@suse.de
- added subpackage for documentation
* Thu Jul 19 2007 hmacht@suse.de
- move directfb-config out of -devel package. We need it for
  mkinitrd to determine needed libraries for splashy
* Tue Jun 26 2007 bk@suse.de
- Update to 1.0.0, fix filelists and devel requires and s390 tuning
* Mon Feb 19 2007 mskibbe@suse.de
- DirectFB contains a number of GPL licensed files (#212904)
* Fri Jan 12 2007 mskibbe@suse.de
- Segmentation fault in DirectFBInit in libdirectfb (#233108)
* Tue Nov 14 2006 tpatzig@suse.de
- fixed comma at end of enumerator list in directfb.h [*216155]
* Tue Oct 17 2006 aj@suse.de
- Fix filelist.
* Mon Oct 16 2006 ro@suse.de
- fix devel package filelist
* Mon Oct 16 2006 mskibbe@suse.de
- create devel package
* Mon Jul 10 2006 mskibbe@suse.de
- updated to version 0.9.25 (including some fixes for stability
  and speed)
- change paths in specfile (from /usr/bin/ to %%{_bindir})
* Tue Feb 21 2006 hvogel@suse.de
- fix arg* usage [#146446]
* Thu Feb 16 2006 hvogel@suse.de
- fix comma at end of list for directfb.h:849 [#150804]
* Mon Jan 30 2006 hvogel@suse.de
- add libstdc++-devel to buildrequires
* Sun Jan 29 2006 hvogel@suse.de
- Add libpng-devel, freetype2-devel, sysfs to buildrequires
- enable x11 module
- enable unique wm
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hvogel@suse.de
- update to version 0.9.24
* Thu Jan 12 2006 sbrabec@suse.cz
- Removed unused libmpeg3 from neededforbuild.
* Tue Dec 20 2005 ro@suse.de
- silence gcc warning about malloc result being ignored
* Wed Nov  2 2005 hvogel@suse.de
- add -fno-strict-aliasing to CFLAGS for fbdev
* Mon Oct 24 2005 hvogel@suse.de
- update to version 0.9.23
* Tue May 31 2005 hvogel@suse.de
- update to version 0.9.22
* Thu Apr 28 2005 hvogel@suse.de
- disable savage gfxdriver on some archs, it tries to use sys/io.h
* Tue Apr 12 2005 ro@suse.de
- fix build in savage driver
* Wed Jan 19 2005 hvogel@suse.de
- use disable-gettid
* Thu Jan 13 2005 hvogel@suse.de
- Update to version 0.9.21
- enable zlib support
* Mon Jan 12 2004 adrian@suse.de
- fix build
- use BuildRoot
- add not packaged files
* Fri Jan  9 2004 stepan@suse.de
- update to 0.9.20
* Mon Oct 20 2003 schwab@suse.de
- Fix use of kernel headers.
* Sun Jun 29 2003 ro@suse.de
- fix build with current includes
* Fri May 23 2003 ro@suse.de
- fixed file list
- fix build with current includes
* Thu May 22 2003 coolo@suse.de
- use BuildRoot
- run ldconfig
* Thu Feb  6 2003 stepan@suse.de
- update -> 0.9.16
* Thu Nov 14 2002 stepan@suse.de
- update -> 0.9.15
* Tue Nov  5 2002 uli@suse.de
- update -> 0.9.14 (API extensions, enhanced drivers, SDL backend,
  fixes)
- fixed and enabled MMX and SSE optimizations for x86-64
* Tue Sep 17 2002 uli@suse.de
- update -> 0.9.13 (API extensions, optimizations, bugfixes)
- fixed warnings on 64 bit archs
* Thu Aug  1 2002 uli@suse.de
- fixed for lib64 archs
* Thu Jun  6 2002 uli@suse.de
- update -> 0.9.11
* Tue Apr 30 2002 uli@suse.de
- update -> 0.9.10
* Wed Apr 24 2002 uli@suse.de
- fixed to build on x86-64
* Mon Apr 22 2002 uli@suse.de
- initial package
